Get the episode download
Authorization
bearerAuth AuthorizationBearer <token>
API key issued from /developers/api-keys in the Jellypod studio. Send as Authorization: Bearer <key>.
In: header
Path Parameters
episode_id*string
Episode UUID
Format
uuidQuery Parameters
media?string
Which output to download: audio (default) or video. Video exists only for episodes rendered with a video template.
Value in
"audio" | "video"Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.jellypod.com/v1/episodes/497f6eca-6276-4993-bfeb-53cbbbba6f08/download"{
"data": {
"delivery": {
"kind": "available",
"origin": "mux",
"url": "http://example.com"
},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"media": "audio",
"object": "episode"
}
}{
"detail": "string",
"errors": [
{
"field": "string",
"message": "string"
}
],
"reason": "unresolved_speakers",
"recovery": {
"action": "correct_input",
"idempotency_key": "reuse",
"poll_after_seconds": 0,
"tool": "list_characters"
},
"request_id": "string",
"speakers": [
"string"
],
"status": 0,
"title": "string",
"type": "bad_request"
}{
"detail": "string",
"errors": [
{
"field": "string",
"message": "string"
}
],
"reason": "unresolved_speakers",
"recovery": {
"action": "correct_input",
"idempotency_key": "reuse",
"poll_after_seconds": 0,
"tool": "list_characters"
},
"request_id": "string",
"speakers": [
"string"
],
"status": 0,
"title": "string",
"type": "bad_request"
}{
"detail": "string",
"errors": [
{
"field": "string",
"message": "string"
}
],
"reason": "unresolved_speakers",
"recovery": {
"action": "correct_input",
"idempotency_key": "reuse",
"poll_after_seconds": 0,
"tool": "list_characters"
},
"request_id": "string",
"speakers": [
"string"
],
"status": 0,
"title": "string",
"type": "bad_request"
}{
"detail": "string",
"errors": [
{
"field": "string",
"message": "string"
}
],
"reason": "unresolved_speakers",
"recovery": {
"action": "correct_input",
"idempotency_key": "reuse",
"poll_after_seconds": 0,
"tool": "list_characters"
},
"request_id": "string",
"speakers": [
"string"
],
"status": 0,
"title": "string",
"type": "bad_request"
}{
"detail": "string",
"errors": [
{
"field": "string",
"message": "string"
}
],
"reason": "unresolved_speakers",
"recovery": {
"action": "correct_input",
"idempotency_key": "reuse",
"poll_after_seconds": 0,
"tool": "list_characters"
},
"request_id": "string",
"speakers": [
"string"
],
"status": 0,
"title": "string",
"type": "bad_request"
}{
"detail": "string",
"errors": [
{
"field": "string",
"message": "string"
}
],
"reason": "unresolved_speakers",
"recovery": {
"action": "correct_input",
"idempotency_key": "reuse",
"poll_after_seconds": 0,
"tool": "list_characters"
},
"request_id": "string",
"speakers": [
"string"
],
"status": 0,
"title": "string",
"type": "bad_request"
}Was this page helpful?